/*
 * Developed by Hillstone Software. http://www.hillstone-software.com
 */
#ifndef _HS_CONFIG_H
#define _HS_CONFIG_H

// if defined, memory model is big endian (motorola)
// if commented out memory model is little endian (intel)
//#define HS_BIG_ENDIAN

#define HS_SWAP_LONG(a)	(( ((a) & 0xff000000) >> 24) | \
						 ( ((a) & 0x00ff0000) >> 8)  | \
						 ( ((a) & 0x0000ff00) << 8)  | \
						 ( ((a) & 0x000000ff) << 24))

#define HS_SWAP_SHORT(a)(( ((a) & 0xff00) >> 8) | \
							 ( ((a) & 0x00ff) << 8))

#endif /* _HS_CONFIG_H */

